<eui-wizard
  *ngIf="data"
  [class]="data.steps?.length === 1 ? 'flow-content hidden-header' : 'flow-content'"
  (selectStep)="onSelectStep($event)"
  [isNavigationAllowed]="data.isNavigationAllowed">
  <eui-wizard-step
    *ngFor="let step of data.steps; let i = index; trackBy: trackByFn"
    [label]="step.label | translate"
    [subLabel]="step.info"
    [isCompleted]="data.activeStep > i"
    [isActive]="data.activeStep === i">
    <eui-card *ngIf="data.activeStep === i">
      <eui-card-content>
        <span *ngIf="step.titleKey" class="f-step f-step-title"
          >{{ step.titleKey | translate }}
          <eui-icon-svg
            *ngIf="step.titleInfoTitle"
            set="sharp"
            icon="information-circle"
            fillColor="primary"
            (click)="openTitlePopover($event)"></eui-icon-svg>
          <eui-popover #titlePopover title="{{ step.titleInfoTitle | translate }}" [hasCloseButton]="true" [type]="'flat'">
            <span class="eui-u-f-s" [innerHTML]="step.titleInfoDescription | translate"></span>
          </eui-popover>
        </span>
        <span *ngIf="step.descriptionKey" class="f-step f-step-description" [innerHTML]="step.descriptionKey | translate"></span>
        <ng-content></ng-content>
      </eui-card-content>
    </eui-card>
    <div class="err-div">
      <eui-feedback-message *ngIf="addPressed && form.invalid" euiDanger>
        {{ 'app.flow.2.step.0.error.wrongFields' | translate }}
      </eui-feedback-message>
    </div>
  </eui-wizard-step>
</eui-wizard>

<div class="f-bottom-bar" *ngIf="data">
  <div class="f-bottom-bar-container">
    <button *ngFor="let btn of data.lButtons" class="{{ btn.class }}" euiButton (click)="onWizardAction(btn.id)">
      <eui-icon-svg
        *ngIf="btn.leftIcon"
        set="eui"
        icon="{{ btn.leftIcon }}"
        class="eui-u-mr-s"
        [size]="'s'"
        fillColor="primary"></eui-icon-svg>
      <span class="eui-u-f-regular">{{ btn.label | translate }}</span>
      <eui-icon-svg *ngIf="btn.rightIcon" set="eui" icon="{{ btn.rightIcon }}" class="eui-u-ml-s" [size]="'s'"></eui-icon-svg>
    </button>
  </div>

  <div class="f-bottom-bar-container">
    <button *ngFor="let btn of data.buttons" class="{{ btn.class }}" euiButton (click)="onWizardAction(btn.id)">
      {{ btn.label | translate }} </button
    >&nbsp;
  </div>

  <div class="f-bottom-bar-container">
    <button *ngFor="let btn of data.rButtons" class="{{ btn.class }}" euiButton (click)="onWizardAction(btn.id); addPressed = true">
      <eui-icon-svg
        *ngIf="btn.leftIcon"
        set="eui"
        icon="{{ btn.leftIcon }}"
        class="eui-u-mr-s"
        [size]="'s'"
        fillColor="primary"></eui-icon-svg>
      {{ btn.label | translate }}
      <eui-icon-svg *ngIf="btn.rightIcon" set="eui" icon="{{ btn.rightIcon }}" class="eui-u-ml-s" [size]="'s'"></eui-icon-svg>
    </button>
  </div>
</div>
